## org.apache.cocoon.processor.sql
Class SQLQueryCreator

    java.lang.Object
      |
      +--org.apache.cocoon.processor.sql.SQLQueryCreator

public class SQLQueryCreator
extends java.lang.Object

A class that can create a SQL query. It's given a query to start with, plus a query_props table that contains parameters from the XML file, and the parameters table from cocoon that notably may contain a HttpServletRequest object keyed from "request".

Version:
  $Revision: 1.5 $ $Date: 2000/02/13 18:29:32 $
Author:
  Donald Ball

Constructor Summary
`SQLQueryCreator()`

Method Summary
`java.lang.String` `getQuery(java.sql.Connection conn, java.lang.String query, org.w3c.dom.Element query_element, java.util.Properties query_props, java.util.Dictionary parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryCreator

    public SQLQueryCreator()

Method Detail

### getQuery

    public java.lang.String getQuery(java.sql.Connection conn,
                                     java.lang.String query,
                                     org.w3c.dom.Element query_element,
                                     java.util.Properties query_props,
                                     java.util.Dictionary parameters)
                              throws java.lang.Exception

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.